group "TradeLegNotionalChange.model"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | 3 elements
Defined: | globally in fpml-business-events-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
notionalReference?, changeInNotionalAmount?, outstandingNotionalAmount?

Content Model Elements (3):

  changeInNotionalAmount (defined in TradeLegNotionalChange.model group),
  notionalReference (defined in TradeLegNotionalChange.model group),
  outstandingNotionalAmount (defined in TradeLegNotionalChange.model group)

Known Usage Locations

- In definitions of global complexTypes (1):
  TradeLegSizeChange

XML Source (see within schema source)

<xsd:group name="TradeLegNotionalChange.model"> <xsd:sequence> <xsd:element minOccurs="0" name="notionalReference" type="NotionalReference"/> <!-- in the future perhaps this should allow a notional schedule to be put in here instead of a single value --> <xsd:element minOccurs="0" name="changeInNotionalAmount" type="NonNegativeMoney"/> <xsd:element minOccurs="0" name="outstandingNotionalAmount" type="NonNegativeMoney"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 3/3)
changeInNotionalAmount

  Type: | NonNegativeMoney, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="changeInNotionalAmount" type="NonNegativeMoney"/>

notionalReference

  Type: | NotionalReference, empty content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="notionalReference" type="NotionalReference"/>

outstandingNotionalAmount

  Type: | NonNegativeMoney, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="outstandingNotionalAmount" type="NonNegativeMoney"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.